Changes between Version 22 and Version 23 of DevelopmentEnvironment


Ignore:
Timestamp:
11/12/2018 07:32:54 PM (2 years ago)
Author:
sena
Comment:

--

Legend:

Unmodified
Added
Removed
Modified
  • DevelopmentEnvironment

    v22 v23  
    33== Installing Java and Eclipse ==
    44You can download the Java and Eclipse from the corresponding webpage for free. If you want to use the exact some versions as the GRITS core developer group please feel free to contact Rene.
    5  * '''Java JDK 1.8 (update 45 or higher)''' - The JDK can be downloaded from the [http://www.oracle.com/technetwork/java/javase/downloads/index.html Java webpage]. If your operation system supports 64bit it is recommended to install the 64 bit JDK. If older JRE or JDK are already installed in your system it can cause problems therefore it is a good idea to de-install them first.
    6  * '''Eclipse for RCP and RAP Developer (Mars 4.5)''' - You can download the IDE from the [https://www.eclipse.org/downloads/eclipse-packages/ Eclipse web page] please make sure to download the ''Eclipse for RCP and RAP Developers'' version. Other versions will work as well but you will have to install additional features. The installation instructions on this page assumes you have chosen this version.
     5 
     6* '''Java JDK 1.11 ''' - The JDK can be downloaded from the [http://www.oracle.com/technetwork/java/javase/downloads/index.html Java webpage]. If your operation system supports 64bit it is recommended to install the 64 bit JDK. If older JRE or JDK are already installed in your system it can cause problems therefore it is a good idea to de-install them first.
     7 * '''Eclipse for RCP and RAP Developer (Oxygen 3a)''' - You can download the IDE from the [https://www.eclipse.org/downloads/packages/release/oxygen/3a/eclipse-rcp-and-rap-developers web page] please make sure to download the ''Eclipse for RCP and RAP Developers'' version. Other versions will work as well but you will have to install additional features. The installation instructions on this page assumes you have chosen this version.
     8
     9
    710
    811== Installing missing plugins and features ==
     
    6871 * Click ''Next''
    6972  * Add a new software site in ''Work with''
    70    * ​http://download.eclipse.org/eclipse/updates/4.5 (replace 4.5 with your current Eclipse version)
     73   * ​http://download.eclipse.org/eclipse/updates/4.7 (replace 4.7 with your current Eclipse version)
    7174  * Check '''Eclipse RCP Target Components'''
    7275  * Check '''Equinox Target Components'''